Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class DartThrowing

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableAdditionalArrangeBase
              de.grogra.blocks.arrangeBlock.DartThrowing

All Implemented Interfaces:
  AdditionalArrangeMethod, Manageable, Shareable

    public class DartThrowing

extends ShareableAdditionalArrangeBase
implements AdditionalArrangeMethod

Nested Class Summary
`static class` | `DartThrowing.Type`

Field Summary
`static DartThrowing.Type` | `$TYPE`
`static SCOType.Field` | `minRadius$FIELD`
`static SCOType.Field` | `number$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableAdditionalArrangeBase
`densityField, MAX_NUMBER, maxF, maxX, maxY, pointList, prozent, superNumber`

Constructor Summary
`DartThrowing()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getMinRadius()`
`int` | `getNumber()`
`void` | `setMinRadius(float value)`
`void` | `setNumber(int value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableAdditionalArrangeBase
`checkDensityField, setAll`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.AdditionalArrangeMethod
`setAll`

Field Detail

### $TYPE

    public static final DartThrowing.Type $TYPE

### minRadius$FIELD

    public static final SCOType.Field minRadius$FIELD

### number$FIELD

    public static final SCOType.Field number$FIELD

Constructor Detail

### DartThrowing

    public DartThrowing()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableAdditionalArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getMinRadius

    public float getMinRadius()

### getNumber

    public int getNumber()

### setMinRadius

    public void setMinRadius(float value)

### setNumber

    public void setNumber(int value)

  Overrides:
    `setNumber` in class `ShareableAdditionalArrangeBase`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD